package com.zipcodewilmington.gildedrose;


public class Inventory {

    private static Item[] items;

    public Inventory(Item[] arr) {
        super();
        this.items = arr;
    }

    public void updateSellIn() {
        int j = 0;

        if (items[j].getSellIn() > 0) {
            if (!items[j].getName().equals("Sulfuras"))
                items[j].setSellIn(items[j].getSellIn() - 1);
                j++;
        }
    }

    private void decreaseQualityByOne(int i) {

        items[i].setQuality(items[i].getQuality() - 1);

    }

    private void decreaseQualityByTwo(int i) {

        decreaseQualityByOne(i);
        decreaseQualityByOne(i);

    }

    private void increaseQualityByOne(int i) {

        items[i].setQuality(items[i].getQuality() + 1);

    }

    private void increaseQualityByTwo(int i) {

        increaseQualityByOne(i);
        increaseQualityByOne(i);

    }

    public void updateQuality() {

        for (int i = 0; i < items.length; i++) {
        if (!items[i].getName().equals("Sulfuras") && !(items[i].getQuality() == 0) && !(items[i].getQuality() >= 50)) {
            if (items[i].getName().equals("Aged Brie")) {
                increaseQualityByOne(i);
            } else if (items[i].getName().equals("Backstage Passes") && (items[i].getSellIn() <= 10)) {
                increaseQualityByTwo(i);
                if ((items[i].getSellIn() <= 5)) {
                increaseQualityByOne(i);
                }
                if (items[i].getSellIn() == 0) {
                    items[i].setQuality(0);
                }
            } else if ((items[i].getName().equals("Conjured")) || (items[i].getSellIn() == 0)) {
                decreaseQualityByTwo(i);
            } else {
                decreaseQualityByOne(i);
            }

        }


    }
    }

}

